package com.yunfeiyun.agmp.common.web.system.service.impl;

import java.util.List;

import com.yunfeiyun.agmp.common.web.system.domain.SysZone;
import com.yunfeiyun.agmp.common.web.system.mapper.SysZoneMapper;
import com.yunfeiyun.agmp.common.web.system.service.ISysZoneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 地区Service业务层处理
 * 
 * @author 杨晓辉
 * @date 2023-08-03
 */
@Service
public class SysZoneServiceImpl implements ISysZoneService
{
    @Autowired
    private SysZoneMapper sysZoneMapper;

    /**
     * 查询地区
     * 
     * @param zoneId 地区主键
     * @return 地区
     */
    @Override
    public SysZone selectSysZoneByZoneId(String zoneId)
    {
        return sysZoneMapper.selectSysZoneByZoneId(zoneId);
    }

    /**
     * 查询地区列表
     * 
     * @param sysZone 地区
     * @return 地区
     */
    @Override
    public List<SysZone> selectSysZoneList(SysZone sysZone)
    {
        return sysZoneMapper.selectSysZoneList(sysZone);
    }

    @Override
    public List<SysZone> selectSysZoneListProvincezh(SysZone sysZone) {
        return sysZoneMapper.selectSysZoneListProvincezh(sysZone);
    }

    @Override
    public List<SysZone> selectSysZoneListCapitalzh(SysZone sysZone) {
        return sysZoneMapper.selectSysZoneListCapitalzh(sysZone);
    }

    /**
     * 新增地区
     * 
     * @param sysZone 地区
     * @return 结果
     */
    @Override
    public int insertSysZone(SysZone sysZone)
    {
        return sysZoneMapper.insertSysZone(sysZone);
    }

    /**
     * 修改地区
     * 
     * @param sysZone 地区
     * @return 结果
     */
    @Override
    public int updateSysZone(SysZone sysZone)
    {
        return sysZoneMapper.updateSysZone(sysZone);
    }

    /**
     * 批量删除地区
     * 
     * @param zoneIds 需要删除的地区主键
     * @return 结果
     */
    @Override
    public int deleteSysZoneByZoneIds(String[] zoneIds)
    {
        return sysZoneMapper.deleteSysZoneByZoneIds(zoneIds);
    }

    /**
     * 删除地区信息
     * 
     * @param zoneId 地区主键
     * @return 结果
     */
    @Override
    public int deleteSysZoneByZoneId(String zoneId)
    {
        return sysZoneMapper.deleteSysZoneByZoneId(zoneId);
    }
}
